Magento Arbitrary File Upload Vulnerability

Published: 2017-04-27 08:41:56

CVSS Base Vector:
AV:N/AC:L/Au:S/C:C/I:C/A:C

Detection Type:
Remote Banner

Solution Type:
Vendor Patch

Summary:
Magento Web E-Commerce Platform is prone to an arbitrary file upload vulnerability.

Detection Method:
Checks if a vulnerable version is present on the target host.

Technical Details:
A high risk vulnerability was discovered in Magento that could lead to remote code execution and thus the complete system compromise including the database containing sensitive customer information such as stored credit card numbers and other payment information. The main attack vector uses an additional Cross Site Request Forgery vulnerability.

Affected Versions:
Magento CE and EE prior to 2.0.14/2.1.7.

Recommendations:
Update to version 2.0.14/2.1.7 or later.

References:

https://magento.com/security/patches/magento-2014-and-217-security-update
http://www.defensecode.com/advisories/DC-2017-04-003_Magento_Arbitrary_File_Upload.pdf

Search
Severity
High
CVSS Score
9.0

You never have to pay for a vulnerability scanning and management software again.

Tired of paying a subscription 'per asset' or 'per IP'? Well you can officially cancel your current subscription. Mageni provides a free, open source and enterprise-ready vulnerability scanning and management platform which helps you to find, prioritize, remediate and manage your vulnerabilities. It is free and always will be.